summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--config/tmux.conf2
-rwxr-xr-xscripts/misc/battery.sh11
2 files changed, 12 insertions, 1 deletions
diff --git a/config/tmux.conf b/config/tmux.conf
index 7a7429a..1cc4aad 100644
--- a/config/tmux.conf
+++ b/config/tmux.conf
@@ -2,4 +2,4 @@ set-option -g prefix C-s
bind C-s send-prefix
unbind C-b
bind C-t choose-tree "join-pane -t %%"
-
+set -g status-right "%H:%M | #(tmubattery) | #{USER}@#(uname -n)"
diff --git a/scripts/misc/battery.sh b/scripts/misc/battery.sh
new file mode 100755
index 0000000..c3e5e48
--- /dev/null
+++ b/scripts/misc/battery.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+#print battery info in a short way
+
+if uname -o | grep -qi "linux"
+then
+ acpi -b | cut -d"," -f 1-2 | cut -d" " -f 3-
+else
+ echo "TODO BSD battery"
+ exit 1
+fi